Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IReportSituation

All Superinterfaces:
  ISituationType

All Known Implementing Classes:
  ReportSituationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IReportSituation
extends ISituationType

The ReportSituation deals with the situations reported from the component, such as heartbeat or performance information. Data such as current CPU utilization, current memory heap size, etc. would fall into this category. Existing messages include words like utilization value is, buffer size is, and number of threads is, for example: `IEE890I WTO Buffers in console backup storage = 1024`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituationType`

Method Summary
`java.lang.String` | `getReportCategory()` Deprecated. Returns the reportCategory.
`void` | `setReportCategory(java.lang.String reportCategory)` Deprecated. Sets the reportCategory.

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, init, setReasoningScope`

Method Detail

### getReportCategory

    public java.lang.String getReportCategory()

  Deprecated.
  Returns the reportCategory. This property specifies the category of the reported situation. The reportCategory is a string with the following set of values: PERFORMANCE SECURITY HEARTBEAT STATUS TRACE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned reportCategory.
  Since:
    1.0.1

### setReportCategory

    public void setReportCategory(java.lang.String reportCategory)

  Deprecated.
  Sets the reportCategory. This property specifies the category of the reported situation. The reportCategory is a string with the following set of values: PERFORMANCE SECURITY HEARTBEAT STATUS TRACE This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `reportCategory` - The reportCategory to be set.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD